# TODO:
# - add warnquota as cron job
# - fix quota-pl.po-update.patch
# Conditional build:
%bcond_with	kernel64	# build 32-bit userland for 64-bit kernel
%bcond_with	ldap		# LDAP mail address lookups
%bcond_with	netlink		# quota messages via netlink
#
Summary:	Quota administration package%{?with_kernel64: - 32-bit userland for 64-bit kernel}
Summary(de.UTF-8):	Quotenverwaltungspaket
Summary(es.UTF-8):	Paquete de administración cuota
Summary(fr.UTF-8):	Paquetage de gestion des quotas
Summary(pl.UTF-8):	Pakiet administaracyjny Quota%{?with_kernel64: - 32-bitowe programy dla 64-bitowego jądra}
Summary(pt_BR.UTF-8):	Pacote de administração quota
Summary(ru.UTF-8):	Утилиты системного администратора для управления дисковыми квотами
Summary(tr.UTF-8):	Kota denetleme paketi
Summary(uk.UTF-8):	Утиліти системного адміністратора для керування дисковими квотами
Summary(zh_CN.UTF-8):	磁盘使用情况的监控工具
Name:		quota%{?with_kernel64:64}
Version:	4.01
Release:	1
Epoch:		1
License:	BSD
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/linuxquota/quota-%{version}.tar.gz
# Source0-md5:	5c2c31e321d2e1322ce12d69ae5c66d6
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/quota-non-english-man-pages.tar.bz2
# Source1-md5:	05a209bc054366ea190d1c67669f9ca3
Source2:	rquotad.init
Source3:	rquotad.sysconfig
URL:		http://sourceforge.net/projects/linuxquota/
Patch0:		quota-defaults.patch
Patch1:		quota-pl.po-update.patch
Patch2:		quota-repquota-len-fix.patch
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_netlinks:BuildRequires:	dbus-devel}
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext-devel
%{?with_netlinks:BuildRequires:	libnl-devel}
BuildRequires:	libwrap-devel
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
%if %{with kernel64}
ExclusiveArch:	%{ix86}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quotas allow the system administrator to limit disk usage by a user
and/or group per filesystem. This package contains the tools which are
needed to enable, modify, and update quotas.

%if %{with kernel64}
Warning: This package is for 32-bit systems running on 64-bit kernel!
%endif

%description -l de.UTF-8
Quotas gestatten es dem Systemadministrator, die Festplattennutzung
durch einen Anwender und/oder Gruppen pro Dateisystem zu beschränken.
Es enthält die Tools, die zur Aktivierung, Modifikation und zum
Aktualisieren von Quoten erforderlich sind."

%description -l es.UTF-8
Cuotas permite al administrador del sistema limitar el uso de disco
por un usuario y/o grupo por sistema de archivos. Este paquete
contiene las herramientas que son necesarias para activar, modificar y
actualizar cuotas.

%description -l fr.UTF-8
Les quotas permettant à l'administrateur système de limiter
l'utilisation disque par un utilisateur et/ou un groupe par système de
fichiers. Ce paquetage contient les outils nécessaires à la mise en
place, la modification et la mise à jour des quotas.

%description -l pl.UTF-8
Quota pozwala administratorowi systemu na ograniczanie wielkości
miejsca na dysku dla użytkownika/grupy. Pakiet ten zawiera narzędzia
do aktywacji i modyfikacji Quoty.

%if %{with kernel64}
Uwaga: Ten pakiet jest przeznaczony wyłącznie dla 32-bitowych systemów
       działających na 64-bitowym jądrze!
%endif

%description -l pt_BR.UTF-8
Quotas permite ao administrador do sistema limitar o uso de disco por
um usuário e/ou grupo por sistema de arquivos. Este pacote contém as
ferramentas que são necessárias para ativar, modificar e atualizar
quotas.

%description -l ru.UTF-8
Пакет quota содержит утилиты системного администратора для мониторинга
и ограничения использования дискового пространства пользователями и их
группами в каждой файловой системе.

%description -l tr.UTF-8
Kota, sistem yöneticisine, bir kullanıcının ya da kullanıcı grubunun
disk kullanımını sınırlama yeteneği verir. Bu paket içerisindeki
yazılımlar kota sistemini kullanmak için gereken kontrol
yazılımlarıdır.

%description -l uk.UTF-8
Пакет quota містить утиліти системного адміністратора для моніторингу
та обмеження використання дискового простору користувачами та їх
групами в кожній файловій системі.

%package rquotad
Summary:	Remote quota server
Summary(pl.UTF-8):	Zdalny serwer quota
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	portmap >= 4.0
Requires:	rc-scripts >= 0.4.1.5
Obsoletes:	nfs-utils-rquotad

%description rquotad
rquotad is an rpc(3N) server which returns quotas for a user of a
local file system which is mounted by a remote machine over the NFS.
The results are used by quota(1) to display user quotas for remote
file systems.

%if %{with kernel64}
Warning: This package is for 32-bit systems running on 64-bit kernel!
%endif

%description rquotad -l pl.UTF-8
rquotad jest serverem rpc(3N), który zwraca quoty użytkownika
lokalnego systemu plików, który jest zamountowany przez zdalną maszynę
poprzez NFS. Rezultaty są używane przez quota(1), aby wyświetlić quote
dla zdalnego systemu plików.

%if %{with kernel64}
Uwaga: Ten pakiet jest przeznaczony wyłącznie dla 32-bitowych systemów
       działających na 64-bitowym jądrze!
%endif

%prep
%setup -q -n quota-tools
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}

%if %{with kernel64}
CFLAGS="%{rpmcflags} -malign-double"
export CFLAGS
%endif

%configure \
	%{?with_ldap:--enable-ldapmail} \
	%{?with_netlink:--enable-netlink} \
	--enable-rpcsetquota

%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,/etc/{rc.d/init.d,sysconfig}}

%{__make} install \
	ROOTDIR=$RPM_BUILD_ROOT

# essential, used by rc-scripts
mv -f $RPM_BUILD_ROOT%{_sbindir}/{quotacheck,quotaon,quotaoff,convertquota} \
	$RPM_BUILD_ROOT/sbin

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/rquotad
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rquotad

echo ".so quotaon.8" > $RPM_BUILD_ROOT%{_mandir}/man8/quotaoff.8
echo ".so rquotad.8" >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.rquotad.8

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.quota-non-english-man-pages

# interface included in glibc-devel
%{__rm} $RPM_BUILD_ROOT{%{_includedir}/rpcsvc/rquota.[hx],%{_mandir}/man3/rquota.3}

%find_lang quota

%clean
rm -rf $RPM_BUILD_ROOT

%post rquotad
/sbin/chkconfig --add rquotad
%service rquotad restart "RPC rquotad"

%preun rquotad
if [ "$1" = "0" ]; then
	%service rquotad stop
	/sbin/chkconfig --del rquotad
fi

%triggerpostun rquotad -- quota-rquotad < 3.14-3
/sbin/chkconfig rquotad reset

%files -f quota.lang
%defattr(644,root,root,755)
%doc Changelog README.{ldap-support,mailserver} doc/{quotas-1.eps,quotas.ms} quotatab
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/quotagrpadmins
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/quotatab
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/warnquota.conf
%attr(755,root,root) /sbin/convertquota
%attr(755,root,root) /sbin/quotacheck
%attr(755,root,root) /sbin/quotaoff
%attr(755,root,root) /sbin/quotaon
%attr(755,root,root) %{_sbindir}/edquota
%attr(755,root,root) %{_sbindir}/quotastats
%attr(755,root,root) %{_sbindir}/quot
%attr(755,root,root) %{_sbindir}/repquota
%attr(755,root,root) %{_sbindir}/setquota
%attr(755,root,root) %{_sbindir}/warnquota
%attr(755,root,root) %{_sbindir}/xqmstats
%attr(755,root,root) %{_bindir}/quota
%attr(755,root,root) %{_bindir}/quotasync

%{_mandir}/man1/quota.1*
%{_mandir}/man8/convertquota.8*
%{_mandir}/man8/edquota.8*
%{_mandir}/man8/quot.8*
%{_mandir}/man8/quota_nld.8*
%{_mandir}/man8/quotacheck.8*
%{_mandir}/man8/quotaoff.8*
%{_mandir}/man8/quotaon.8*
%{_mandir}/man8/quotastats.8*
%{_mandir}/man8/repquota.8*
%{_mandir}/man8/setquota.8*
%{_mandir}/man8/warnquota.8*
%{_mandir}/man8/xqmstats.8*

%lang(fi) %{_mandir}/fi/man1/*

%lang(hu) %{_mandir}/hu/man8/*

%lang(ja) %{_mandir}/ja/man1/*
%lang(ja) %{_mandir}/ja/man8/quota*
%lang(ja) %{_mandir}/ja/man8/edquota.8*
%lang(ja) %{_mandir}/ja/man8/repquota.8*
%lang(ja) %{_mandir}/ja/man8/setquota.8*

%lang(pl) %{_mandir}/pl/man1/*
%lang(pl) %{_mandir}/pl/man8/*

%files rquotad
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/rpc.rquotad
%attr(754,root,root) /etc/rc.d/init.d/rquotad
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rquotad

%{_mandir}/man8/rpc.rquotad.8*
%{_mandir}/man8/rquotad.8*
%lang(fr) %{_mandir}/fr/man8/rpc.rquotad.8*
%lang(fr) %{_mandir}/fr/man8/rquotad.8*
%lang(ja) %{_mandir}/ja/man8/rpc.rquotad.8*
%lang(ja) %{_mandir}/ja/man8/rquotad.8*
%changelog
* Mon Oct 06 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/quota.git;a=log;h=master

* Wed Jul 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 1bd5341
- updated to 4.01
- updated patches
- added bconds for ldap and netlink support

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> af2e59e
- dropped pre-cvs changelog

* Thu Oct 01 2009 qwiat <qwiat@pld-linux.org> e750162
- fixed patch quota-pl.po-update.patch is back
- cosmetics

* Tue Sep 29 2009 qwiat <qwiat@pld-linux.org> 7b21444
- updated to 3.17
- disabled patch quota-pl.po-update.patch, need to be fixed

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> f1d7547
- cosmetics, cleanup (-malign-double is x86-only)

* Fri Apr 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 7a0f3ce
- updated pl.po-update patch is back

* Fri Apr 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 6b868e2
- updated for 3.16

* Fri Apr 18 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 25597ce
- up to 3.16

* Fri Sep 28 2007 Jan Rękorajski <baggins@pld-linux.org> bd432a3
- rel 3
- exclusivearch if with kernel64

* Fri Sep 28 2007 Jan Rękorajski <baggins@pld-linux.org> 6f2613a
- rel 2

* Fri Sep 28 2007 Jan Rękorajski <baggins@pld-linux.org> f97a4d1
- crude warning in description

* Fri Sep 28 2007 Jan Rękorajski <baggins@pld-linux.org> b4d8287
- don't use %{name} here as it's bcond-dependant

* Fri Sep 28 2007 Jan Rękorajski <baggins@pld-linux.org> 53ffc93
- typo

* Fri Sep 28 2007 Jan Rękorajski <baggins@pld-linux.org> 182a6c5
- added kernel64 bcond to build 32bit userland for 64bit kernel

* Sun Aug 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 43461b9
- updated to 3.15
- added pl.po-update patch, updated repquota-len-fix patch

* Sun Aug 05 2007 Jakub Bogusz <qboosh@pld-linux.org> f30c06b
- update *.po

* Sun Aug 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 44f9fcc
- for 3.15

* Tue May 08 2007 Jan Rękorajski <baggins@pld-linux.org> 3c0eb7a
- rel up to resolve conflict with rpcbind

* Thu Apr 26 2007 Jan Rękorajski <baggins@pld-linux.org> 7da6914
- use generic portmapper check from rc-scripts

* Thu Apr 26 2007 Jan Rękorajski <baggins@pld-linux.org> e71c061
- R: rc-scripts >= 0.4.1.5 for check_portmapper function

